For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
      • Submissions guide
      • Submission object
      • GETList submissions
      • GETRetrieve a submission
      • POSTApprove or reject a submission
      • POSTRequest the participant who submitted the response to return their response
      • POSTBulk approve submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceSubmissions

Retrieve a submission

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/submissions/:id/
GET
/api/v1/submissions/:id/
$curl https://api.prolific.com/api/v1/submissions/id/ \
> -H "Authorization: Token <token>"
1{
2 "id": "625d4a831bcda2d59ac5a251",
3 "started_at": "string",
4 "status": "APPROVED",
5 "study_id": "60aca280709ee40ec37d4885",
6 "completed_at": "string",
7 "entered_code": "8E8AC860",
8 "participant": "60bf9310e8dec401be6e9615",
9 "bonus_payments": [
10 1000,
11 2536
12 ]
13}
Returns the detailed information of a submission, including the study id, participant id, status and start timestamp
Was this page helpful?
Previous

List submissions

Next

Approve or reject a submission

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

idstringRequired

Submission id. This is the ID we pass to the survey platform using %SESSION_ID%

Response

Found
idstringRead-only
The id of the submission
started_atstring

The date and time that the user started the submission (UTC)

statusenum
The current status of the submission
study_idstring
Study id.
completed_atstring or null
The time the submission was completed at.
entered_codestring or null
The completion code used by the participant to complete the study.
participantstring
Participant id.
parent_study_idstring or null

ID of the study’s parent, if any. (This applies to representative sample and quota studies.)

bonus_paymentslist of doubles

Bonus payments that have been paid on the submission. Returned in pence / cents.

return_requesteddatetime or null
The date and time when a return request for the submission was made.

Errors

4XX
Client Request Error